#!/usr/bin/env python

import sys
sys.path.append("./tools")

import pjjs

resourcesDirectory = "../resources/proj4js/catalogues"
targetDirectory = "../resources/proj4js/defs"

if len(sys.argv) > 1:
    resourcesDirectory = sys.argv[1]

if len(sys.argv) > 2:
    targetDirectory = sys.argv[2]

print "Generating Proj4js catalogues."
pjjs.pjcat2js_clean(resourcesDirectory,targetDirectory)
pjjs.pjcat2js_run(resourcesDirectory,targetDirectory)

print "Done."
